import javax.swing.*;        // java swing sinifini cagir
import java.awt.*;          // java pencere kullanma sinifini cagir
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir

public class renkSeciciSWF_2000 extends JFrame implements ActionListener
{
    // Renk secme ornegi
    JButton renkdegistir;
    Color r=Color.lightGray;
    Container c;
    // pencereyi baslatma metodu
    public renkSeciciSWF_2000()
    {
    super("JColorChoser ");
    c=getContentPane();
    c.setLayout(new FlowLayout())  ;
    renkdegistir=new JButton("renk değiştirmek için düğmeye basınız");
    renkdegistir.addActionListener(this);
    c.add(renkdegistir);
    }
    // girdi alanindaki olan olaylari dinleme metodu
    public void actionPerformed(ActionEvent e)
    {
    r=JColorChooser.showDialog(this,"Renk seçiniz :",r);
    if(r==null)
      r=renk.acikgri;
    c.setBackground(r);
    repaint();
    }

     //=====================================================
      public static void main(String[] args)
      {
      renkSeciciSWF_2000 pencere= new renkSeciciSWF_2000();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(350,200);
      pencere.setVisible(true);
      }
}
